Debian Bug report logs - #455399
FTBFS with GCC 4.3: uses (removed) pre-iso c++ headers

version graph

Package: magnus; Maintainer for magnus is Ben Burton <bab@debian.org>;

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Sun, 9 Dec 2007 23:57:37 UTC

Severity: serious

Tags: patch

Found in version magnus/20060324-5

Fixed in version magnus/20060324-5.1

Done: Simon McVittie <smcv@ianadd.pseudorandom.co.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ben Burton <bab@debian.org>:
Bug#455399; Package magnus. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to Ben Burton <bab@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: submit@bugs.debian.org
Subject: FTBFS with GCC 4.3: #define redefined
Date: Sun, 9 Dec 2007 16:47:59 -0700
Package: magnus
Version: 20060324-5
Usertags: ftbfs-gcc-4.3

Your package fails to build with GCC 4.3.  Version 4.3 has not been
released yet but I'm building with a snapshot in order to find errors
and give people an advance warning.  GCC 4.3 has converted a number
of warnings into errors.  With GCC 4.3, you're no longer to
just redefine a previous #define.  You need to either avoid
redefinitions directly or to use #ifndef to make sure that something
has not been defined already.  See
http://www.cyrius.com/journal/gcc/gcc-4.3-pedwarn.html

You can reproduce this problem with gcc-snapshot from unstable.  Note
that Red Hat, Novell and Ubuntu have done some work getting packages
to build with GCC 4.3 so there might be patches floating around
somewhere.  I suggest you talk to your upstream.

> Automatic build of magnus_20060324-5 on em64t by sbuild/amd64 0.53
...
> /bin/sh -ec 'g++ -M   -IFclasses -IGLink -IGLinkGLvar -IGLvarSub -Ipres -ITTdriverDebug -ITTnodesRsrc -O2 -DDEBUG -g -fno-operator-names -D_G_NO_NRV -Wno-deprecated -DLINUX -IFclasses -IGLink -IGLinkGLvar -IGLvarSub -Ipres -ITTdriverDebug -ITTnodesRsrc TTnodesRsrc/FTTnode.C | sed "s:TTnodesRsrc/FTTnode.o:& TTnodesRsrc/FTTnode.d:g"' > TTnodesRsrc/FTTnode.d
> In file included from TTdriverDebug/crossTrainer.h:8,
>                  from TTnodesRsrc/FTTnode.C:1:
> TTdriverDebug/operators.h:29:22: error: iostream.h: No such file or directory
> In file included from TTnodesRsrc/FTTnode.C:1:
> TTdriverDebug/crossTrainer.h:21:21: error: fstream.h: No such file or directory

You can ignore these errors.  Someone removed the backwards
compatiblity headers but there's agreement that they should be put in
place again before the final 4.3 is released.  I hope they'll be put
back in place soon (I pinged the person who is responsible yesterday).

> TTdriverDebug/crossTrainer.h:21:21: error: fstream.h: No such file or directory
> /bin/sh -ec 'g++ -M   -IFclasses -IGLink -IGLinkGLvar -IGLvarSub -Ipres -ITTdriverDebug -ITTnodesRsrc -O2 -DDEBUG -g -fno-operator-names -D_G_NO_NRV -Wno-deprecated -DLINUX -IFclasses -IGLink -IGLinkGLvar -IGLvarSub -Ipres -ITTdriverDebug -ITTnodesRsrc GLink/GLfunctions.C | sed "s:GLink/GLfunctions.o:& GLink/GLfunctions.d:g"' > GLink/GLfunctions.d
> In file included from TTdriverDebug/crossTrainer.h:8,
>                  from GLink/GLfunctions.C:6:
> TTdriverDebug/operators.h:29:22: error: iostream.h: No such file or directory
> In file included from GLink/GLfunctions.C:6:
> TTdriverDebug/crossTrainer.h:21:21: error: fstream.h: No such file or directory

Ignore.

> GLink/GLfunctions.C:312:1: error: "RAND_MAX" redefined
> In file included from Fclasses/Ftime.h:10,
>                  from GLink/FGLink.h:10,
>                  from TTdriverDebug/crossTrainer.h:65,
>                  from GLink/GLfunctions.C:6:
> /usr/include/stdlib.h:129:1: error: this is the location of the previous definition

But this is something you need to look into.

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Ben Burton <bab@debian.org>:
Bug#455399; Package magnus. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Ben Burton <bab@debian.org>. Full text and rfc822 format available.

Message #10 received at 455399@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 455399@bugs.debian.org
Cc: control@bugs.debian.org
Subject: pedwarnings no longer errors in GCC 4.3, but...
Date: Sun, 20 Jan 2008 11:38:45 +0100
retitle 455399 FTBFS with GCC 4.3: uses (removed) pre-iso c++ headers
thanks

I mentioned that GCC 4.3 converted a number of C++ warnings into
errors.  This change has now been reverted after a lot of
discussion.  I just compiled your package with the latest snapshot
of GCC 4.3 to see if it compiles with 4.3, but there is another issue:

In GCC 4.3, pre-iso c++ headers will no longer be present, but your
application makes use of them.

You can reproduce this problem with gcc-4.3 or gcc-snapshot from
unstable.

> Automatic build of magnus_20060324-5 on em64t by sbuild/amd64 0.53
...
> Compile.mk:29: TTnodesRsrc/FTTnode.d: No such file or directory
> /bin/sh -ec 'g++ -M   -IFclasses -IGLink -IGLinkGLvar -IGLvarSub -Ipres -ITTdriverDebug -ITTnodesRsrc -O2 -DDEBUG -g -fno-operator-names -D_G_NO_NRV -Wno-deprecated -DLINUX -IFclasses -IGLink -IGLinkGLvar -IGLvarSub -Ipres -ITTdriverDebug -ITTnodesRsrc TTnodesRsrc/FTTnode.C | sed "s:TTnodesRsrc/FTTnode.o:& TTnodesRsrc/FTTnode.d:g"' > TTnodesRsrc/FTTnode.d
> In file included from TTdriverDebug/crossTrainer.h:8,
>                  from TTnodesRsrc/FTTnode.C:1:
> TTdriverDebug/operators.h:29:22: error: iostream.h: No such file or directory
> In file included from TTnodesRsrc/FTTnode.C:1:
> TTdriverDebug/crossTrainer.h:21:21: error: fstream.h: No such file or directory
> /bin/sh -ec 'g++ -M   -IFclasses -IGLink -IGLinkGLvar -IGLvarSub -Ipres -ITTdriverDebug -ITTnodesRsrc -O2 -DDEBUG -g -fno-operator-names -D_G_NO_NRV -Wno-deprecated -DLINUX -IFclasses -IGLink -IGLinkGLvar -IGLvarSub -Ipres -ITTdriverDebug -ITTnodesRsrc TTnodesRsrc/FTT2pnode.C | sed "s:TTnodesRsrc/FTT2pnode.o:& TTnodesRsrc/FTT2pnode.d:g"' > TTnodesRsrc/FTT2pnode.d
> In file included from TTdriverDebug/crossTrainer.h:8,
>                  from TTnodesRsrc/FTT2pnode.C:1:
> TTdriverDebug/operators.h:29:22: error: iostream.h: No such file or directory
> In file included from TTnodesRsrc/FTT2pnode.C:1:
> TTdriverDebug/crossTrainer.h:21:21: error: fstream.h: No such file or directory
> /bin/sh -ec 'g++ -M   -IFclasses -IGLink -IGLinkGLvar -IGLvarSub -Ipres -ITTdriverDebug -ITTnodesRsrc -O2 -DDEBUG -g -fno-operator-names -D_G_NO_NRV -Wno-deprecated -DLINUX -IFclasses -IGLink -IGLinkGLvar -IGLvarSub -Ipres -ITTdriverDebug -ITTnodesRsrc TTnodesRsrc/FTT2node.C | sed "s:TTnodesRsrc/FTT2node.o:& TTnodesRsrc/FTT2node.d:g"' > TTnodesRsrc/FTT2node.d
> In file included from TTdriverDebug/crossTrainer.h:8,
>                  from TTnodesRsrc/FTT2node.C:1:
> TTdriverDebug/operators.h:29:22: error: iostream.h: No such file or directory
> In file included from TTnodesRsrc/FTT2node.C:1:
> TTdriverDebug/crossTrainer.h:21:21: error: fstream.h: No such file or directory
> /bin/sh -ec 'g++ -M   -IFclasses -IGLink -IGLinkGLvar -IGLvarSub -Ipres -ITTdriverDebug -ITTnodesRsrc -O2 -DDEBUG -g -fno-operator-names -D_G_NO_NRV -Wno-deprecated -DLINUX -IFclasses -IGLink -IGLinkGLvar -IGLvarSub -Ipres -ITTdriverDebug -ITTnodesRsrc TTnodesRsrc/FTT1pSubnode.C | sed "s:TTnodesRsrc/FTT1pSubnode.o:& TTnodesRsrc/FTT1pSubnode.d:g"' > TTnodesRsrc/FTT1pSubnode.d
> In file included from TTdriverDebug/crossTrainer.h:8,
>                  from TTnodesRsrc/FTT1pSubnode.C:1:
> TTdriverDebug/operators.h:29:22: error: iostream.h: No such file or directory
> In file included from TTnodesRsrc/FTT1pSubnode.C:1:
....................

-- 
Martin Michlmayr
http://www.cyrius.com/




Changed Bug title to `FTBFS with GCC 4.3: uses (removed) pre-iso c++ headers' from `FTBFS with GCC 4.3: #define redefined'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Sun, 20 Jan 2008 10:39:51 GMT) Full text and rfc822 format available.

Severity set to `important' from `normal' Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. (Thu, 24 Jan 2008 00:41:25 GMT) Full text and rfc822 format available.

Severity set to `serious' from `important' Request was from Marc Brockschmidt <marc@marcbrockschmidt.de> to control@bugs.debian.org. (Sat, 05 Apr 2008 12:45:34 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ben Burton <bab@debian.org>:
Bug#455399; Package magnus. Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@ianadd.pseudorandom.co.uk>:
Extra info received and forwarded to list. Copy sent to Ben Burton <bab@debian.org>. Full text and rfc822 format available.

Message #21 received at 455399@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@ianadd.pseudorandom.co.uk>
To: 455399@bugs.debian.org
Subject: magnus: diff for NMU version 20060324-5.1
Date: Sat, 5 Apr 2008 21:45:26 +0100
[Message part 1 (text/plain, inline)]
tags 455399 + patch
thanks

Attached is a proposed diff for a magnus 20060324-5.1 NMU.

Regards,
    Simon
[magnus-20060324-5.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Simon McVittie <smcv@ianadd.pseudorandom.co.uk> to control@bugs.debian.org. (Sat, 05 Apr 2008 20:48:11 GMT) Full text and rfc822 format available.

Reply sent to Simon McVittie <smcv@ianadd.pseudorandom.co.uk>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #28 received at 455399-close@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@ianadd.pseudorandom.co.uk>
To: 455399-close@bugs.debian.org
Subject: Bug#455399: fixed in magnus 20060324-5.1
Date: Sat, 05 Apr 2008 21:47:26 +0000
Source: magnus
Source-Version: 20060324-5.1

We believe that the bug you reported is fixed in the latest version of
magnus, which is due to be installed in the Debian FTP archive:

magnus_20060324-5.1.diff.gz
  to pool/main/m/magnus/magnus_20060324-5.1.diff.gz
magnus_20060324-5.1.dsc
  to pool/main/m/magnus/magnus_20060324-5.1.dsc
magnus_20060324-5.1_i386.deb
  to pool/main/m/magnus/magnus_20060324-5.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 455399@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Simon McVittie <smcv@ianadd.pseudorandom.co.uk> (supplier of updated magnus package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 20:33:52 +0000
Source: magnus
Binary: magnus
Architecture: source i386
Version: 20060324-5.1
Distribution: unstable
Urgency: low
Maintainer: Ben Burton <bab@debian.org>
Changed-By: Simon McVittie <smcv@ianadd.pseudorandom.co.uk>
Description: 
 magnus     - Computational group theory software with GUI
Closes: 455399
Changes: 
 magnus (20060324-5.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS with gcc 4.3 (closes: #455399):
     - #include <iostream> instead of <iostream.h>, etc.
     - #include assorted missing stdlib headers
     - using std::foo
     - don't re-#define RAND_MAX if the platform defines it correctly (which
       we do)
Files: 
 4feebc8bc5a2cd36921458600f091b7a 639 math extra magnus_20060324-5.1.dsc
 b2c3aa03a2e908a252add31adcb992cb 17058 math extra magnus_20060324-5.1.diff.gz
 fa3a86deb1a8ac7b57f50b0ad788bf00 3536142 math extra magnus_20060324-5.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH9/IZSYIMHOpZA44RAgUlAJ9gvqpdeRbgGtlT7YGHdnKPj1LpEgCgre82
aycWi8RKLmDrCrW7WNrM7TU=
=WEDH
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 25 May 2008 07:41:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:26:16 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.